aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-12-30 13:59:13 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-12-30 13:59:13 +0000
commitc0fe11e77ba3e44fba0ee9278f96bb79a55fbaca (patch)
treef882659517f5befdd555f38b241af7d36d4f5728
parentd6be88948d681a9782989464d3e955df36276ccb (diff)
downloadaports-c0fe11e77ba3e44fba0ee9278f96bb79a55fbaca.tar.gz
aports-c0fe11e77ba3e44fba0ee9278f96bb79a55fbaca.tar.bz2
aports-c0fe11e77ba3e44fba0ee9278f96bb79a55fbaca.tar.xz
main/perl-mail-spf: fix building
-rw-r--r--main/perl-mail-spf/APKBUILD22
-rw-r--r--main/perl-mail-spf/build.patch62
2 files changed, 79 insertions, 5 deletions
diff --git a/main/perl-mail-spf/APKBUILD b/main/perl-mail-spf/APKBUILD
index 5a3f7549e0..8dc82627dc 100644
--- a/main/perl-mail-spf/APKBUILD
+++ b/main/perl-mail-spf/APKBUILD
@@ -3,18 +3,29 @@
pkgname=perl-mail-spf
_realname=Mail-SPF
pkgver=2.007
-pkgrel=0
+pkgrel=1
pkgdesc="An object-oriented implementation of Sender Policy Framework"
url="http://search.cpan.org/~jmehnle/Mail-SPF-v2.006/"
-arch="x86 x86_64"
+arch="noarch"
license="GPL PerlArtistic"
-depends="perl perl-error perl-net-dns perl-uri-escape"
+depends="perl perl-error perl-net-dns perl-uri-escape perl-netaddr-ip
+ perl-net-dns-resolver-programmable"
makedepends="perl-dev"
install=
subpackages="$pkgname-doc"
-source="http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/mail-spf/$_realname-v$pkgver.tar.gz"
+source="http://search.cpan.org/CPAN/authors/id/J/JM/JMEHNLE/mail-spf/$_realname-v$pkgver.tar.gz
+ build.patch"
_builddir="$srcdir/$_realname-v$pkgver"
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
build() {
cd "$_builddir"
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
@@ -26,4 +37,5 @@ package() {
make DESTDIR="$pkgdir" install
}
-md5sums="67dccdc91e3264679a0e17d493d3cc30 Mail-SPF-v2.007.tar.gz"
+md5sums="67dccdc91e3264679a0e17d493d3cc30 Mail-SPF-v2.007.tar.gz
+7a32f8edc2aee8c6db0d8c2c84a570aa build.patch"
diff --git a/main/perl-mail-spf/build.patch b/main/perl-mail-spf/build.patch
new file mode 100644
index 0000000000..0d88c2d1d8
--- /dev/null
+++ b/main/perl-mail-spf/build.patch
@@ -0,0 +1,62 @@
+commit 7fbde4f5cbf4d989ccd477e63a83d84ceccb2439
+Author: Todd Rinaldo <toddr@cpan.org>
+Date: Thu Feb 4 12:24:31 2010 -0600
+
+ Remove use of v and qv notation which breaks install of older perls
+
+diff --git a/Build.PL b/Build.PL
+index 15bb927..290c4ce 100644
+--- a/Build.PL
++++ b/Build.PL
+@@ -48,7 +48,7 @@ my $build = $class->new(
+ license => 'bsd',
+ requires => {
+ # Core requirements:
+- perl => 'v5.6',
++ perl => '5.006',
+ version => 0,
+ Error => 0,
+ NetAddr::IP => '4',
+@@ -63,7 +63,7 @@ my $build = $class->new(
+ Module::Build => '0.2805',
+ Test::More => 0,
+ Net::DNS::Resolver::Programmable
+- => 'v0.002.1',
++ => '0.002001',
+ },
+ script_files => [
+ 'bin/spfquery'
+diff --git a/CHANGES b/CHANGES
+index b7c4303..838d24a 100644
+--- a/CHANGES
++++ b/CHANGES
+@@ -4,6 +4,11 @@
+ # ! = Changed something significant, or removed a feature
+ # * = Fixed a bug, or made a minor improvement
+
++--- 2.008 (2010-02-04 12:00)
++
++ Miscellaneous:
++ * Fix version numbers to provide perl compaibility prior to 5.8
++
+ --- 2.007 (2009-10-31 21:00)
+
+ Mail::SPF:
+diff --git a/lib/Mail/SPF.pm b/lib/Mail/SPF.pm
+index 67d1e5c..4a62632 100644
+--- a/lib/Mail/SPF.pm
++++ b/lib/Mail/SPF.pm
+@@ -17,11 +17,11 @@ Mail::SPF - An object-oriented implementation of Sender Policy Framework
+
+ =head1 VERSION
+
+-2.007
++2.008
+
+ =cut
+
+-use version; our $VERSION = qv('2.007');
++use version; our $VERSION = '2.008';
+
+ use warnings;
+ use strict;